package caf.war.wm_hpstra;

import com.webmethods.caf.shared.hpstra.HPSTRAManager;
import com.webmethods.portal.system.IComponentData;
import com.webmethods.portal.system.impl.BaseComponent;
import com.webmethods.portal.system.init.InitializationException;

/**
 * Class which purpose is to start the HPSTRA module with the passed configuration
 * (hpstra.properties).
 * 
 * @author ivat
 */
public class HPSTRALauncher extends BaseComponent {

	@Override
	public void init(final IComponentData componentData, final String phase) throws InitializationException {
		super.init(componentData, phase);
		HPSTRAManager.getInstance().init(componentData, phase);
	}

	@Override
	public synchronized void shutdown() {
		HPSTRAManager.getInstance().shutdown();
		super.shutdown();
	}

}