/**
 *
 */
package caf.war.wm_hpstra.adminportlet;

/**
 * @author ivat
 *
 */

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

import caf.war.wm_hpstra.Wm_hpstra;

import com.webmethods.caf.faces.annotations.BeanType;
import com.webmethods.caf.faces.annotations.DTManagedBean;
import com.webmethods.caf.faces.annotations.ExpireWithPageFlow;
import com.webmethods.caf.faces.bean.BaseFacesPreferencesBean;

@ManagedBean(name = "AdminPortlet")
@SessionScoped
@ExpireWithPageFlow
@DTManagedBean(displayName = "AdminPortlet", beanType = BeanType.PORTLET)
public class AdminPortlet extends BaseFacesPreferencesBean {

	public static final String[] PREFERENCES_NAMES = new String[] {};

	private transient Wm_hpstra wm_hpstra;

	/**
	 * Create new preferences bean with list of preference names
	 */
	public AdminPortlet() {
		super(PREFERENCES_NAMES);
	}

	public Wm_hpstra getWm_hpstra() {
		if (this.wm_hpstra == null) {
			this.wm_hpstra = (Wm_hpstra) resolveExpression("#{Wm_hpstra}"); //$NON-NLS-1$
		}
		return this.wm_hpstra;
	}

	/**
	 * Call this method in order to persist Portlet preferences
	 * 
	 * @throws Exception
	 *             if any exception occurs
	 */
	public void storePreferences() throws Exception {
		updatePreferences();
		getPreferences().store();
	}

}